Summary: X interface to the gdb debugger
Name: xxgdb
Version: 1.12
Release: 3
Copyright: MIT
Group: Development/Debuggers
Source: ftp://sunsite.unc.edu/pub/Linux/devel/debuggers/xxgdb-1.12.tar.gz
Source1: xxgdb.wmconfig
Patch: xxgdb-1.08-glibc.patch
Patch1: xxgdb-1.12-sysv.patch
Icon: xxgdb.gif

%changelog

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>

- fixed src url
- added wmconfig entries
- removed prefix line ... can't have it with wmconfig file :(

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
xxgdb is a graphical interface to GNU's debugger. It has the ability
to display source files as they are executed, set breakpoints, and
singlestep through or over commands - all with an easy-to-use
graphical X Windows interface.

%prep
%setup -n xxgdb-1.12
%patch -p1
%patch1 -p1

%build
xmkmf
make

%install
make install
make install.man

install -d /etc/X11/wmconfig
install -m 644 -o root -g root $RPM_SOURCE_DIR/xxgdb.wmconfig /etc/X11/wmconfig/xxgdb

%files
/usr/X11R6/bin/xxgdb
%config /usr/X11R6/lib/X11/app-defaults/XDbx
/usr/X11R6/man/man1/xxgdb.1x
/etc/X11/wmconfig/xxgdb
